Skip to content
Back to top
View this page

# XEP-0082: XMPP Date and Time Profiles

XEP-0082 on xmpp.org

class slixmpp.plugins.xep_0082.XEP_0082(xmpp, config=None)

  XEP-0082: XMPP Date and Time Profiles

  XMPP uses a subset of the formats allowed by ISO 8601 as a matter of pragmatism based on the relatively few formats historically used by the XMPP.

  Also see <http://www.xmpp.org/extensions/xep-0082.html>.

  Methods:

    date – Create a time stamp using the Date profile. datetime – Create a time stamp using the DateTime profile. time – Create a time stamp using the Time profile. format_date – Format an existing date object. format_datetime – Format an existing datetime object. format_time – Format an existing time object. parse – Convert a time string into a Python datetime object.